import { Base58EncodedAddress } from '@solana/keys';
import { Commitment, DataSlice, Slot, U64UnsafeBeyond2Pow53Minus1 } from './common';
type Base64EncodedBytes = string & {
    readonly __base64EncodedBytes: unique symbol;
};
type Base64EncodedZStdCompressedBytes = string & {
    readonly __base64EncodedZStdCompressedBytes: unique symbol;
};
type Base64EncodedDataResponse = [Base64EncodedBytes, 'base64'];
type Base64EncodedZStdCompressedDataResponse = [Base64EncodedZStdCompressedBytes, 'base64+zstd'];
type GetAccountInfoApiResponseBase = Readonly<{
    context: Readonly<{
        slot: Slot;
    }>;
    value: Readonly<{
        executable: boolean;
        lamports: U64UnsafeBeyond2Pow53Minus1;
        owner: Base58EncodedAddress;
        rentEpoch: U64UnsafeBeyond2Pow53Minus1;
        space: U64UnsafeBeyond2Pow53Minus1;
    }> | null;
}>;
type GetAccountInfoApiResponseWithEncodedData = Readonly<{
    value: Readonly<{
        data: Base64EncodedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiResponseWithEncodedZStdCompressedData = Readonly<{
    value: Readonly<{
        data: Base64EncodedZStdCompressedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiResponseWithJsonData = Readonly<{
    value: Readonly<{
        data: Readonly<{
            program: string;
            parsed: unknown;
            space: U64UnsafeBeyond2Pow53Minus1;
        }> | Base64EncodedDataResponse;
    }> | null;
}>;
type GetAccountInfoApiCommonConfig = Readonly<{
    commitment?: Commitment;
    minContextSlot?: Slot;
}>;
type GetAccountInfoApiBase64EncodingCommonConfig = Readonly<{
    dataSlice?: DataSlice;
}>;
export interface GetAccountInfoApi {
    /**
     * Returns all information associated with the account of provided public key
     */
    getAccountInfo(address: Base58EncodedAddress, config?: Readonly<{
        encoding: 'base64';
    }> & GetAccountInfoApiCommonConfig & GetAccountInfoApiBase64EncodingCommonConfig): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithEncodedData;
    getAccountInfo(address: Base58EncodedAddress, config?: Readonly<{
        encoding: 'base64+zstd';
    }> & GetAccountInfoApiCommonConfig & GetAccountInfoApiBase64EncodingCommonConfig): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithEncodedZStdCompressedData;
    getAccountInfo(address: Base58EncodedAddress, config?: Readonly<{
        encoding: 'jsonParsed';
    }> & GetAccountInfoApiCommonConfig): GetAccountInfoApiResponseBase & GetAccountInfoApiResponseWithJsonData;
}
export {};
//# sourceMappingURL=getAccountInfo.d.ts.map